<template>
    <div class="dark-mode-switch">
        <v-tooltip top>
            <template v-slot:activator="{ on, attrs }">
            <span
                v-bind="attrs"
                v-on="on"
            >
                <v-switch
                    v-model="active"
                    inset
                    @change="$emit('change', active)"
                ></v-switch>
            </span>

            </template>
            Switch dark mode {{ active ? 'off' : 'on' }}
        </v-tooltip>
    </div>
</template>

<script lang="ts">
import { defineComponent, onMounted, ref, Ref, watch } from "@vue/composition-api";
import { useContents } from "@/compositions";

export default defineComponent({
    name: 'DarkModeSwitch',
    setup() {
        const active: Ref<boolean> = ref(true);

        watch(useContents().isDarkMode, (isDarkMode) => {
             active.value = isDarkMode;
        });

        onMounted(() => {
            const isDarkMode = useContents().isDarkMode.value;
            active.value = isDarkMode;
        });

        return { active }
    }
});
</script>

<style scoped lang="scss">
.dark-mode-switch {
    position: absolute;
    bottom: 10px;
    right: 10px;
}
</style>
